Bug 1279418 - Bad boolean declaration at line 214 of /var/lib/selinux/targeted/tmp/modules/100/virt/cil
Bad boolean declaration at line 214 of /var/lib/selinux/targeted/tmp/modules/...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
rawhide
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 07:32 EST by Petr Lautrbach
Modified: 2016-02-03 13:42 EST (History)
15 users (show)

See Also:
Fixed In Version: docker-1.10.0-6.git39f99b6.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-03 13:42:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Lautrbach 2015-11-09 07:32:28 EST
Description of problem:
There's a problem between selinux-policy and docker-selinux

# semodule -B
Re-declaration of boolean virt_sandbox_use_fusefs
Failed to create node
Bad boolean declaration at line 214 of /var/lib/selinux/targeted/tmp/modules/100/virt/cil
Failed to build ast
semodule:  Failed!

# dnf remove docker-selinux
...
Removed:
  docker-selinux.x86_64 1:1.9.0-5.git11b81f9.fc24

Complete!

# semodule -B

# echo $?
0


Version-Release number of selected component (if applicable):
selinux-policy-3.13.1-156.fc24.noarch
docker-selinux.x86_64 1:1.9.0-5.git11b81f9.fc24
Comment 1 Lukas Vrabec 2015-11-20 07:12:05 EST
We need new docker build for F24.
Lokesh could you build docker for rawhide? 

Thank you!
Comment 2 Daniel Walsh 2015-12-01 17:00:28 EST
Lokesh can we get a new build?
Comment 3 Daniel Walsh 2016-01-06 15:59:29 EST
Need new build of docker with updated docker-selinux package.
Comment 4 Lokesh Mandvekar 2016-02-03 13:42:59 EST
(In reply to Lukas Vrabec from comment #1)
> We need new docker build for F24.
> Lokesh could you build docker for rawhide? 
> 
> Thank you!

going by timestamp for Comment 1, this should be fixed in docker-1.10.0-6.git39f99b6.fc24

Note You need to log in before you can comment on or make changes to this bug.